package com.qmth.jkserver.model;

//import org.springframework.data.annotation.Id;
//import org.springframework.data.mongodb.core.index.Indexed;
//import org.springframework.data.mongodb.core.mapping.Document;
//import org.springframework.data.mongodb.core.mapping.Field;
//
//import java.io.Serializable;
//import java.util.Date;
//
//
///**
// * @author
// */
//@Document(collection = "jk_attachment_photo")
//public class AttachmentPhoto implements Serializable {
//
//    /**
//     *
//     */
//    private static final long serialVersionUID = 8547603374004171575L;
//
//    @Id
//    private String id;
//
//    @Indexed
//    @Field("exam_code")
//    private String examCode;
//
//    @Field("place_code")
//    private String placeCode;
//
//    @Field("room_code")
//    private String roomCode;
//
//    @Field("file_name")
//    private String fileName;
//
//    @Field("md5")
//    private String md5;
//
//    @Field("path")
//    private String path;
//
//    @Field("size")
//    private Long size;
//
//    @Field("create_time")
//    private Date createTime;
//
//    public String getId() {
//        return id;
//    }
//
//    public void setId(String id) {
//        this.id = id;
//    }
//
//    public String getExamCode() {
//        return examCode;
//    }
//
//    public void setExamCode(String examCode) {
//        this.examCode = examCode;
//    }
//
//    public String getPlaceCode() {
//        return placeCode;
//    }
//
//    public void setPlaceCode(String placeCode) {
//        this.placeCode = placeCode;
//    }
//
//    public String getRoomCode() {
//        return roomCode;
//    }
//
//    public void setRoomCode(String roomCode) {
//        this.roomCode = roomCode;
//    }
//
//    public String getFileName() {
//        return fileName;
//    }
//
//    public void setFileName(String fileName) {
//        this.fileName = fileName;
//    }
//
//    public String getMd5() {
//        return md5;
//    }
//
//    public void setMd5(String md5) {
//        this.md5 = md5;
//    }
//
//    public String getPath() {
//        return path;
//    }
//
//    public void setPath(String path) {
//        this.path = path;
//    }
//
//    public Date getCreateTime() {
//        return createTime;
//    }
//
//    public void setCreateTime(Date createTime) {
//        this.createTime = createTime;
//    }
//
//    public Long getSize() {
//        return size;
//    }
//
//    public void setSize(Long size) {
//        this.size = size;
//    }
//}

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 附件照片表
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@ApiModel(value = "JkAttachmentPhoto对象", description = "附件照片表")
@TableName("jk_attachment_photo")
public class AttachmentPhoto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "考试编码")
    private String examCode;

    @ApiModelProperty(value = "地方编码")
    private String placeCode;

    @ApiModelProperty(value = "考场编码")
    private String roomCode;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "md5")
    private String md5;

    @ApiModelProperty(value = "路径")
    private String path;

    @ApiModelProperty(value = "文件大小")
    private Double size;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public String getPlaceCode() {
        return placeCode;
    }

    public void setPlaceCode(String placeCode) {
        this.placeCode = placeCode;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getMd5() {
        return md5;
    }

    public void setMd5(String md5) {
        this.md5 = md5;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public Double getSize() {
        return size;
    }

    public void setSize(Double size) {
        this.size = size;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }
}
